Subject: Re: linux-next: duplicate patches in the slab tree

From: Konstantin Ryabitsev <[email-masked]>
Date: Mon, 9 Sep 2024 09:11:34 -0400

On Mon, Sep 09, 2024 at 11:40:25AM GMT, Vlastimil Babka wrote:
> > Hm, that's very odd that the IDs changed. The only thing that I did was
> > b4 trailers -u on the branch to quickly check whether I missed an RvBs
> > or Acks. But there were none so I assumed that the commit ids wouldn't
> 
> I guess b4 could be smarter and not perform/rollback the history rewrite if
> there's nothing to change.

That should be already the case. If there were no updates to commits, then it
should have been a no-op, so I'm pretty sure something else must have
happened.

-K